Bug 19614 - Visual studio sets encoding to "Western European (Windows) - Codepage 1252" to all my files with iOS projects
Summary: Visual studio sets encoding to "Western European (Windows) - Codepage 1252" t...
Status: RESOLVED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 1.12.x
Hardware: PC Windows
: Normal normal
Target Milestone: 4.4.0 (C10)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-05-08 11:38 UTC by Alexandre Pepin
Modified: 2016-12-23 21:08 UTC (History)
7 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Sample project (1.61 MB, application/zip)
2014-05-08 11:38 UTC, Alexandre Pepin
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Alexandre Pepin 2014-05-08 11:38:25 UTC
Created attachment 6756 [details]
Sample project

In the attached sample, I have two solutions : one windows console application and one iPhone application.

Steps to reproduce the problem : 
Open the console application and create a new file. If you go to File -> Advanced Save options, the encoding is set to "Unicode (UTF-8 with signature) - Codepage 65001". Every time I create a new file, the encoding is always utf-8. This is the expected result

But if you open the iPad application, create a new file and go to File -> Advanced Save options, the encoding is set to "Western European (Windows) - Codepage 1252". Every time I create a new file, the encoding is wrong. I expect it to be to utf-8 like in the console application

Screencast showing the steps above : http://www.screencast-o-matic.com/watch/c2hjoanywX

Problems :
1. This cause problems with our source control which only supports UTF-8. Some french characters encoding (ex : éèç) do not have the same encoding between utf-8 and codepage 1252.
2. I don't want to change the encoding every time I create a new file.
3. If you deploy with Xamarin Studio on a mac the iPd application, some french characters are shown as question marks even if they are shown correctly in the file editor of Xamarin Studio  (see screenshotVisualStudio.png and screenshotXamarinStudio.png)
Comment 1 narayanp 2014-05-09 02:14:37 UTC
On adding new file in iOS applications then at Advanced Save options, encoding is shown as "Western European (Windows) -Codepage 1252".
Screencast: http://screencast.com/t/ro96vEN0OF

Environment Info:
All VS
Xamarin for Visual Studio   1.12.275.0 (0908d31fd2849ea1d7ec9cba9691ab83e48546a5)
Xamarin.Android   4.12.3.3 (7f0e3d3cfb9b36570e8d7862a33d0310238c814d)
Xamarin.iOS   1.12.275.0 (0908d31fd2849ea1d7ec9cba9691ab83e48546a5)
Comment 2 xamarin-release-manager 2016-12-23 21:03:13 UTC
Fixed in version 99.1.0.390 (master)

Author: Emanuel
Commit: c43b1fff8013b4bdbf0fba1444a369ec68588000 (xamarin/XamarinVS)